<?php
namespace Ak\Mailchimp\Entity\MailingList\Member;

use DateTime;

/**
 * Bilješka uz pretplatnika liste.
 *
 * @package Ak\Mailchimp\Entity\MailingList\Member
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class Note
{
    /** @var string */
    private $note_id;
    /** @var DateTime */
    private $created_at;
    /** @var string */
    private $created_by;
    /** @var string */
    private $note;

    /**
     * @return string
     */
    public function getNoteId(): string
    {
        return $this->note_id;
    }

    /**
     * @return DateTime
     */
    public function getCreatedAt(): DateTime
    {
        return $this->created_at;
    }

    /**
     * @return string
     */
    public function getCreatedBy(): string
    {
        return $this->created_by;
    }

    /**
     * @return string
     */
    public function getNote(): string
    {
        return $this->note;
    }
}