<?php
namespace Ak\Mailchimp\Response;

/**
 * Osnovna klasa za Mailchimp odgovore.
 *
 * @package Ak\Mailchimp\Response
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
abstract class AbstractCollectionResponse
{
    /** @var int */
    protected $total_items;

    /**
     * @return int
     */
    public function getTotalItems(): int
    {
        return $this->total_items;
    }
}