<?php
namespace Ak\Mailchimp\Entity\MailingList\Member;

/**
 * Statistika za pretplatnika liste.
 *
 * @package Ak\Mailchimp\Entity\MailingList\Member
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class Stats
{
    /** @var float */
    private $avg_open_rate;
    /** @var float */
    private $avg_click_rate;

    /**
     * @return float
     */
    public function getAvgOpenRate(): float
    {
        return $this->avg_open_rate;
    }

    /**
     * @return float
     */
    public function getAvgClickRate(): float
    {
        return $this->avg_click_rate;
    }
}