<?php
namespace Ak\Mailchimp\Response;
use Ak\Mailchimp\Entity\MailingList;

/**
 * Odgovor za GET lists.
 *
 * @package Ak\Mailchimp\Response
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class GetListsResponse extends AbstractCollectionResponse
{
    /** @var MailingList[] */
    private $lists;

    /**
     * @return MailingList[]
     */
    public function getLists(): array
    {
        return $this->lists;
    }
}